
  #main #scroller {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 600%; }
    #main #scroller .lockpattern {
      position: relative;
      float: left;
      height: 100%;
      -webkit-transition: background 0.3s;
      transition: background 0.3s;
      background: #1CACC6; }
      #main #scroller .lockpattern p.patternName {
        font-size: 1.2em;
        position: relative;
        z-index: 100;
        color:#FFFFFF;
        text-align: center;
        margin-top: 100px; 
      }
      #main #scroller .lockpattern p.status {
        font-size: 0.9em;
        position: absolute;
        width: 100%;
        color:#FFFFFF;
        margin-left: -50%;
        left: 50%;
        text-align: center;
        bottom: 100px; }
      #main #scroller .lockpattern.locked {
        background: white; }
        #main #scroller .lockpattern.locked p {
          color: #00acc8; }
  #main ul#pageIndicator {
    position: absolute;
    width: 100%;
    height: 20px;
    left: 0;
    bottom: 20px; 
    margin-left: 0;
    padding-left: 0;
    text-align: center;
    }
    #main ul#pageIndicator li {
      display: inline-block;
      color: #CCC;
      font-family: Arial;
      font-size: 18px;
      margin: 0 2px; 
      }
      #main ul#pageIndicator li:before {
        content: "○"; }
      #main ul#pageIndicator li.active:before {
        content: "●"; }

.lock {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 240px;
  height: 240px;
  margin-left: -120px;
  margin-top: -120px; }
  .lock img.lock-status {
    width: 120px;
    height: 120px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -60px;
    margin-top: -60px;
    display: none; }
    .lock img.lock-status.active {
      display: block; }

svg.lock-progress {
  position: absolute;
  left: 0;
  top: 0;
  width: 240px;
  height: 240px;
  transform: rotate(-90deg);
  -webkit-transform: rotate(-90deg); }
  svg.lock-progress circle {
    fill: none;
    stroke-width: 20; }
    svg.lock-progress circle.base {
      stroke: rgba(255, 255, 255, 0.3); }
    svg.lock-progress circle.animate {
      stroke-dasharray: 753.98208px;
      stroke-dashoffset: 753.98208px;
      stroke: white;
      -webkit-transition: all 0.5s;
      transition: all 0.5s; }

svg.lock-progress.loading circle.animate {
  stroke-dashoffset: 0;
  -webkit-transition: all 2s;
  transition: all 2s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out; }

.lockpattern.locked .lock-progress circle.base {
  stroke: #00acc8; }

.lockpattern.locked .lock-progress circle.animate {
  stroke: rgba(255, 255, 255, 0.3); }
